Skip to Content
avatar image
Former Member

Which Version of jaxrpc-specification is implemented in SAP-EP

Hello,

I already posted the follwing question on SAP EP forum, but couldn't get an answer.

I use an oc4j-Server with an jaxrpc-Webservice, using the implementation from SUN (jwsdp). This webservice is consumed via an jaxrpc-Client within SAPPortal. I wanted to migrate that client to the SAP Soap implementation using the Eclipse-plugin for SAPPortal that builds a Webservice-Client out of a wsdl.

Now the webservice is properly requested, but the client doesn't understand the response (something like "malformed XML"). So I suspect, that the versions of jaxrpc that is implemented differ.

So my question is: Which version of the jaxrpc-specification is implemented with in SAP-Soap?

The SUN implementation I use on Server side is jaxrpc-1.0.1

Add comment
10|10000 characters needed characters exceeded

  • Follow
  • Get RSS Feed

2 Answers

  • Jun 23, 2004 at 09:04 AM

    Hi,

    SAP Portal Soap Implementation is based on SOAP 1.1 and WSDL 1.1. As jaxrpc 1.0.1 is encapsulating HTTP request with SOAP 1.1 message, you should have no problems. You should take care if your message is not chunked or if the server is really reached.

    What is the version of your EP installation and Eclipse Plugins?

    Regards,

    Frederic

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Jun 23, 2004 at 11:30 AM

    Hi Frederic,

    thanks for your help.

    The Portal I use is EP6 SP2, the eclipse plugins I tried are 1.1.2 and 1.2.

    I'm sure that the server is reached since I can see in the log messages from the Webservice on the server that the requests come in, are understood and that the response is written to the client without any problems (it seems).

    Any idea what else might cause problems here? Perhaps the wsdl must be adopted somehow?

    best regards

    Torsten

    Add comment
    10|10000 characters needed characters exceeded